<?php
namespace nur\config;

use nur\A;

/**
 * Class AppendRef: une référence à une clé de configuration, à la valeur
 * de laquelle on ajoute des éléments
 */
class AppendRef extends MergeRef {
  function __construct(string $pkey, $appends=null) {
    if ($appends !== null) A::ensure_array($appends);
    parent::__construct($pkey, null, $appends, null);
  }
}
